%global momorel 2

Summary: small web server
Name: xsp
Version: 2.4
Release: %{momorel}m%{?dist}
URL: http://www.mono-project.com/
Source0: http://ftp.novell.com/pub/mono/sources/%{name}/%{name}-%{version}.tar.bz2
NoSource: 0
License: BSD
Group: System Environment/Daemons
Patch0: %{name}-%{version}-lib64.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: mono-devel >= 2.4
BuildPrereq: pkgconfig
Requires: mono-core >= 2.4

%description
The XSP server is a small web server that hosts the Mono System.Web
classes for running what is commonly known as ASP.NET.

%prep
%setup -q
%if %{_lib} == "lib64"                                        
%patch0 -p1
%endif

%build
%configure --program-prefix="" --enable-tracing
%make

%install
rm -rf --preserve-root %{buildroot}
%makeinstall
find %{buildroot} -name "*.mdb" -delete

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_bindir}/asp-state
%{_bindir}/asp-state1
%{_bindir}/asp-state2
%{_bindir}/dbsessmgr
%{_bindir}/dbsessmgr1
%{_bindir}/dbsessmgr2
%{_bindir}/fastcgi-mono-server
%{_bindir}/fastcgi-mono-server1
%{_bindir}/fastcgi-mono-server2
%{_bindir}/mod-mono-server
%{_bindir}/mod-mono-server1
%{_bindir}/mod-mono-server2
%{_bindir}/xsp
%{_bindir}/xsp1
%{_bindir}/xsp2

%{_libdir}/pkgconfig/xsp.pc
%{_libdir}/pkgconfig/xsp-2.pc

%{_mandir}/man1/*.*

%{_prefix}/lib/mono/1.0/*.dll
%{_prefix}/lib/mono/1.0/*.exe
%{_prefix}/lib/mono/2.0/*.dll
%{_prefix}/lib/mono/2.0/*.exe

%{_prefix}/lib/mono/gac/Mono.WebServer
%{_prefix}/lib/mono/gac/Mono.WebServer2
%{_prefix}/lib/mono/gac/mod-mono-server
%{_prefix}/lib/mono/gac/mod-mono-server2
%{_prefix}/lib/mono/gac/fastcgi-mono-server
%{_prefix}/lib/mono/gac/fastcgi-mono-server2

%{_prefix}/lib/mono/gac/xsp
%{_prefix}/lib/mono/gac/xsp2

# maybe %%{_libdir}
%{_prefix}/lib/%{name}

%changelog
* Mon Mar 30 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.4-2m)
- update lib64.patch to enable build

* Sun Mar 29 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.4-1m)
- update to 2.4

* Thu Jan 22 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.2-3m)
- update lib64.patch to enable build with rpm-4.6

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.2-2m)
- rebuild against rpm-4.6

* Mon Jan 19 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2-1m)
- update to 2.2

* Sat Nov  8 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0-4m)
- good-bye debug symbol

* Tue Nov  4 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0-3m)
- fix %%files

* Tue Nov  4 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0-2m)
- change source url (NoSource)

* Thu Aug 21 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0-1m)
- update 2.0

* Wed Apr 23 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.9.1-1m)
- update to 1.9.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.9-3m)
- rebuild against gcc43

* Sun Mar 16 2008 Masanobu Sato <satoshiga@momonga-linux>
- (1.9-2m)
- update lib64 patch

* Sun Mar 16 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.9-1m)
- update to 1.9

* Thu Dec 13 2007 Masanobu Sato <satoshiga@momonga-linux.or>
- (1.2.6-2m)
- add lib64 patch 

* Thu Dec 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.6-1m)
- update to 1.2.6

* Sun Sep  2 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.5-1m)
- update to 1.2.5

* Wed May 23 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.4-1m)
- update to 1.2.4

* Fri Feb  9 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.3-1m)
- update to 1.2.3

* Wed Nov 22 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.1-1m)
- update to 1.2.1

* Tue Oct 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.18-1m)
- update to 1.1.18

* Tue Sep 12 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.17.1-1m)
- update to 1.1.17.1

* Sat Sep  2 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.17-1m)
- update to 1.1.17

* Mon Aug 14 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.16.1-1m)
- update to 1.1.16.1

* Sun Aug 13 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.1.15-2m)
- revised for multilibarch

* Tue May  2 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.15-1m)
- rebuild mono -> mono-core

* Fri Apr 28 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.15-1m)
- update 1.1.15

* Wed Feb 01 2006 Masanobu Sato <satoshiga@momonga-linux.org>
- (1.1.13-3m)
- revised spec file for autoreconf
- revised patch0
- add patch1: xsp-1.1.13-lib64.patch for x86_64

* Mon Jan 30 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.13-2m)
- add patch0 for @libdir@

* Sun Jan 29 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.13-1m)
- start.
